import java.util.Map;

public class Class182_Sub2 extends Class182 {

   public static final int anInt8997 = 64;
   Class253 aClass253_8998;
   Map aMap8999;
   Class564 aClass564_9000 = new Class564(64);
   public static Class253 aClass253_9001;


   public void method14429(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         this.aClass564_9000.method11963(var1, (byte)-121);
      }
   }

   public void method14430(int var1, byte var2) {
      Class564 var3 = this.aClass564_9000;
      synchronized(var3) {
         this.aClass564_9000.method11963(var1, (byte)-119);
      }
   }

   public void method14431(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         this.aClass564_9000.method11976((byte)82);
      }
   }

   public void method14432() {
      Class564 var1 = this.aClass564_9000;
      synchronized(var1) {
         this.aClass564_9000.method11976((byte)105);
      }
   }

   public void method14433(short var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         this.aClass564_9000.method11968((short)-10790);
      }
   }

   public Class182_Sub2(Class481 var1, Class470 var2, Class253 var3, Map var4) {
      super(var1, var2, null != var3?var3.method4514(2022937823 * Class115.aClass115_1172.anInt1177, -758305253):0);
      this.aClass253_8998 = var3;
      this.aMap8999 = var4;
   }

   public void method14434() {
      Class564 var1 = this.aClass564_9000;
      synchronized(var1) {
         this.aClass564_9000.method11968((short)-22328);
      }
   }

   public void method14435(int var1, int var2) {
      Class564 var3 = this.aClass564_9000;
      synchronized(var3) {
         this.aClass564_9000.method11976((byte)11);
         this.aClass564_9000 = new Class564(var1);
      }
   }

   public Class295 method14436(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         Class295 var3 = (Class295)this.aClass564_9000.method11959((long)var1);
         if(null == var3) {
            byte[] var4 = this.aClass253_8998.method4547(Class115.aClass115_1172.anInt1177 * 2022937823, var1, (byte)-61);
            var3 = new Class295();
            var3.anInt3486 = -31271855 * var1;
            var3.aClass182_Sub2_3482 = this;
            if(var4 != null) {
               var3.method5334(new RS2Buffer(var4), false, (byte)17);
            }

            this.aClass564_9000.method11958(var3, (long)var1);
         }

         return var3;
      }
   }

   public void method14437(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         this.aClass564_9000.method11976((byte)116);
         this.aClass564_9000 = new Class564(var1);
      }
   }

   public void method14438() {
      Class564 var1 = this.aClass564_9000;
      synchronized(var1) {
         this.aClass564_9000.method11976((byte)16);
      }
   }

   public Class295 method14439(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         Class295 var3 = (Class295)this.aClass564_9000.method11959((long)var1);
         if(null == var3) {
            byte[] var4 = this.aClass253_8998.method4547(Class115.aClass115_1172.anInt1177 * 2022937823, var1, (byte)-17);
            var3 = new Class295();
            var3.anInt3486 = -31271855 * var1;
            var3.aClass182_Sub2_3482 = this;
            if(var4 != null) {
               var3.method5334(new RS2Buffer(var4), false, (byte)-84);
            }

            this.aClass564_9000.method11958(var3, (long)var1);
         }

         return var3;
      }
   }

   public void method14440(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         this.aClass564_9000.method11963(var1, (byte)-28);
      }
   }

   public void method14441(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         this.aClass564_9000.method11976((byte)74);
         this.aClass564_9000 = new Class564(var1);
      }
   }

   public void method14442() {
      Class564 var1 = this.aClass564_9000;
      synchronized(var1) {
         this.aClass564_9000.method11968((short)-25132);
      }
   }

   public void method14443() {
      Class564 var1 = this.aClass564_9000;
      synchronized(var1) {
         this.aClass564_9000.method11968((short)-28759);
      }
   }

   public Class295 method14444(int var1) {
      Class564 var2 = this.aClass564_9000;
      synchronized(var2) {
         Class295 var3 = (Class295)this.aClass564_9000.method11959((long)var1);
         if(null == var3) {
            byte[] var4 = this.aClass253_8998.method4547(Class115.aClass115_1172.anInt1177 * 2022937823, var1, (byte)26);
            var3 = new Class295();
            var3.anInt3486 = -31271855 * var1;
            var3.aClass182_Sub2_3482 = this;
            if(var4 != null) {
               var3.method5334(new RS2Buffer(var4), false, (byte)125);
            }

            this.aClass564_9000.method11958(var3, (long)var1);
         }

         return var3;
      }
   }

   public Class295 method14445(int var1, byte var2) {
      Class564 var3 = this.aClass564_9000;
      synchronized(var3) {
         Class295 var4 = (Class295)this.aClass564_9000.method11959((long)var1);
         if(null == var4) {
            byte[] var5 = this.aClass253_8998.method4547(Class115.aClass115_1172.anInt1177 * 2022937823, var1, (byte)-83);
            var4 = new Class295();
            var4.anInt3486 = -31271855 * var1;
            var4.aClass182_Sub2_3482 = this;
            if(var5 != null) {
               var4.method5334(new RS2Buffer(var5), false, (byte)-117);
            }

            this.aClass564_9000.method11958(var4, (long)var1);
         }

         return var4;
      }
   }

   public static final int method14446(int var0, int var1, short var2) {
      if(var0 == -2) {
         return 12345678;
      } else if(-1 == var0) {
         if(var1 < 2) {
            var1 = 2;
         } else if(var1 > 126) {
            var1 = 126;
         }

         return var1;
      } else {
         var1 = (var0 & 127) * var1 >> 7;
         if(var1 < 2) {
            var1 = 2;
         } else if(var1 > 126) {
            var1 = 126;
         }

         return var1 + (var0 & '\uff80');
      }
   }

   public static void method14447(String var0, boolean var1, Class545 var2, Class8 var3, Class405 var4, int var5) {
      boolean var6 = !Class185.aBool2226 || Class67.method1436(342437023);
      if(var6) {
         int var7;
         int var8;
         int var10;
         int var11;
         if(Class185.aBool2226 && var6) {
            var4 = Class121.aClass405_1204;
            var3 = var2.method11490(var4, Class526.aClass86_Sub1Array7159, true);
            var7 = var4.method6876(var0, 250, (Interface45[])null, -670625691);
            var8 = var4.method6846(var0, 250, -763478155 * var4.anInt4924, (Interface45[])null, 2059493149);
            int var14 = Class185.aClass86_2225.method1691();
            var10 = 4 + var14;
            var7 += 2 * var10;
            var8 += 2 * var10;
            if(var7 < -916648835 * Class185.anInt2221) {
               var7 = Class185.anInt2221 * -916648835;
            }

            if(var8 < Class185.anInt2223 * 317661373) {
               var8 = Class185.anInt2223 * 317661373;
            }

            var11 = Class185.aClass382_2218.method6601(var7, 533440115 * client.anInt7796, 1320409634) + 982519025 * Class185.anInt2219;
            int var12 = Class185.aClass365_2222.method6494(var8, 1986437735 * client.anInt7797, (byte)2) + Class185.anInt2220 * 735691125;
            var2.method11483(Class529.aClass86_7197, false).method2999(var11 + Class225_Sub15.aClass86_8559.method1691(), var12 + Class225_Sub15.aClass86_8559.method1704(), var7 - Class225_Sub15.aClass86_8559.method1691() * 2, var8 - Class225_Sub15.aClass86_8559.method1704() * 2, 1, -1, 0);
            var2.method11483(Class225_Sub15.aClass86_8559, true).method2926(var11, var12);
            Class225_Sub15.aClass86_8559.method1703();
            var2.method11483(Class225_Sub15.aClass86_8559, true).method2926(var11 + var7 - var14, var12);
            Class225_Sub15.aClass86_8559.method1697();
            var2.method11483(Class225_Sub15.aClass86_8559, true).method2926(var7 + var11 - var14, var12 + var8 - var14);
            Class225_Sub15.aClass86_8559.method1703();
            var2.method11483(Class225_Sub15.aClass86_8559, true).method2926(var11, var12 + var8 - var14);
            Class225_Sub15.aClass86_8559.method1697();
            var2.method11483(Class185.aClass86_2225, true).method2936(var11, var12 + Class225_Sub15.aClass86_8559.method1704(), var14, var8 - Class225_Sub15.aClass86_8559.method1704() * 2);
            Class185.aClass86_2225.method1705();
            var2.method11483(Class185.aClass86_2225, true).method2936(var11 + Class225_Sub15.aClass86_8559.method1691(), var12, var7 - Class225_Sub15.aClass86_8559.method1691() * 2, var14);
            Class185.aClass86_2225.method1705();
            var2.method11483(Class185.aClass86_2225, true).method2936(var11 + var7 - var14, var12 + Class225_Sub15.aClass86_8559.method1704(), var14, var8 - Class225_Sub15.aClass86_8559.method1704() * 2);
            Class185.aClass86_2225.method1705();
            var2.method11483(Class185.aClass86_2225, true).method2936(var11 + Class225_Sub15.aClass86_8559.method1691(), var8 + var12 - var14, var7 - Class225_Sub15.aClass86_8559.method1691() * 2, var14);
            Class185.aClass86_2225.method1705();
            var3.method621(var0, var10 + var11, var10 + var12, var7 - 2 * var10, var8 - var10 * 2, -1209577733 * Class185.anInt2217 | -16777216, -1, 1, 1, 0, (Class171[])null, (int[])null, (Class496)null, 0, 0, 781379283);
            Class169.method2902(var11, var12, var7, var8, (byte)8);
         } else {
            var7 = var4.method6876(var0, 250, (Interface45[])null, -670625691);
            var8 = var4.method6845(var0, 250, (Interface45[])null, 1634029460) * 13;
            byte var9 = 4;
            var10 = var9 + 6;
            var11 = 6 + var9;
            var2.B(var10 - var9, var11 - var9, var9 + var9 + var7, var9 + var9 + var8, -16777216, 0);
            var2.method11439(var10 - var9, var11 - var9, var7 + var9 + var9, var9 + var8 + var9, -1, 0);
            var3.method621(var0, var10, var11, var7, var8, -1, -1, 1, 1, 0, (Class171[])null, (int[])null, (Class496)null, 0, 0, -538074733);
            Class169.method2902(var10 - var9, var11 - var9, var9 + var7 + var9, var9 + var8 + var9, (byte)26);
         }

         if(var1) {
            try {
               var2.method11485();
               var2.method11668(1969998640);
            } catch (Exception_Sub5 var13) {
               ;
            }
         }

      }
   }

   static final void method14448(Class508 var0, byte var1) {
      Class146.method2692((byte)-25);
   }
}
